Bug 1047380 - Kernel soft lockup - CPU#2 stuck [Xorg]
Summary: Kernel soft lockup - CPU#2 stuck [Xorg]
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-30 20:07 UTC by Ivan Virgili
Modified: 2014-01-17 22:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-17 22:24:20 UTC


Attachments (Terms of Use)

Description Ivan Virgili 2013-12-30 20:07:32 UTC
With Kernel 3.12.5-302 and v3.12.6-300 system doesn't boot up and gets stuck with fthe following error (repeated numerous time):

kernel: BUG: soft lockup - CPU#2 stuck for 22s! [Xorg:588] with 

Everything works fine with Kernel 3.11.10-301.fc20.x86_64

Comment 1 Ivan Virgili 2014-01-05 10:59:20 UTC
Problem generted by rc.local file invoking the following command:

echo OFF > /sys/kernel/debug/vgaswitcheroo/switch

This was implemented to stop the laptop from overheating.
Removing the rc.local file containing the command removes the soft lockup problem and the system boots normally. Unfortunately that recrated the overheating problem.

Comment 2 Ivan Virgili 2014-01-17 22:23:41 UTC
Installed Kernel 3.12.8-300.fc20.x86_64 from Koji and my issue has gone..


Note You need to log in before you can comment on or make changes to this bug.